summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlfredo Tupone <tupone@gentoo.org>2020-05-21 21:00:49 +0200
committerAlfredo Tupone <tupone@gentoo.org>2020-05-21 21:00:49 +0200
commita1566dd11ac663b88d678cc1e9aafe3adab141f1 (patch)
tree32a8363e9cce99eb50e068a5742b20bc1dece3d6
parentnet-firewall/fwbuilder: EAPI-7, fix HOMEPAGE, fix DESCRIPTION, xdg-utils (diff)
downloadgentoo-a1566dd11ac663b88d678cc1e9aafe3adab141f1.tar.gz
gentoo-a1566dd11ac663b88d678cc1e9aafe3adab141f1.tar.bz2
gentoo-a1566dd11ac663b88d678cc1e9aafe3adab141f1.zip
app-text/pdfsandwich: version bump to 0.1.7
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
-rw-r--r--app-text/pdfsandwich/Manifest1
-rw-r--r--app-text/pdfsandwich/files/pdfsandwich-0.1.7-gentoo.patch43
-rw-r--r--app-text/pdfsandwich/metadata.xml5
-rw-r--r--app-text/pdfsandwich/pdfsandwich-0.1.7.ebuild46
4 files changed, 94 insertions, 1 deletions
diff --git a/app-text/pdfsandwich/Manifest b/app-text/pdfsandwich/Manifest
index 333618deefa..29efab6f3f7 100644
--- a/app-text/pdfsandwich/Manifest
+++ b/app-text/pdfsandwich/Manifest
@@ -1 +1,2 @@
DIST pdfsandwich-0.1.4.tar.bz2 16401 BLAKE2B cb431f35b199e3e6290c60a3f6c7b2621dd3652a29346092869d8e5f86f5664079de1ef431f9b5e8b9f7cc044d64006295a8176d6a28b2ea5fb820db8c952000 SHA512 ee03aea13c72cc5a02136b5d16d2425f685f0b7a9d6fa6cff6c792bd24e6316720dff321b5e8237b949c98c713f39cb8b08b855b76e2a77350927b1ee7943171
+DIST pdfsandwich-0.1.7.tar.bz2 17461 BLAKE2B edeb08ab55df89ef2d1f3e43446e831c66e57273b36ecd56a4cc5f910ca5b59a03e2a66b13e7150f06f8f3eb26ed14cd1c80d02cd38d6bd6cfe923c30c801577 SHA512 ac315aeba2cc753fddc380e2522d0c41d65ea80372a23c2cd5371ebc239ac104ab5a5a1386378b9e026b2935a767128224f7617a5eb8f5ef9d6874cc18ef83ff
diff --git a/app-text/pdfsandwich/files/pdfsandwich-0.1.7-gentoo.patch b/app-text/pdfsandwich/files/pdfsandwich-0.1.7-gentoo.patch
new file mode 100644
index 00000000000..f16b94379b6
--- /dev/null
+++ b/app-text/pdfsandwich/files/pdfsandwich-0.1.7-gentoo.patch
@@ -0,0 +1,43 @@
+--- a/Makefile 2020-05-21 20:46:14.961927486 +0200
++++ b/Makefile 2020-05-21 20:49:16.203121793 +0200
+@@ -6,7 +6,7 @@
+
+ SOURCE = pdfsandwich.ml
+ TARGET = pdfsandwich
+-MANUAL = $(TARGET).1.gz
++MANUAL = $(TARGET).1
+
+ VERSION := $(shell cat pdfsandwich_version)
+
+@@ -24,7 +24,7 @@
+
+ $(MANUAL): manual.txt
+ # you need gawk for this:
+- ./txt2man -t PDFSANDWICH manual.txt | gzip -9 > $(MANUAL)
++ ./txt2man -t PDFSANDWICH manual.txt > $(MANUAL)
+
+ # Canceling pathological implicit rule:
+ %: %.o
+@@ -40,7 +40,7 @@
+ include makefile.installprefix
+
+ PREF = $(DESTDIR)$(PREFIX)
+-INSTALL = install -s
++INSTALL = install
+ CP = cp
+ INSTALLBINDIR = $(PREF)/bin
+ INSTALLMANDIR = $(PREF)/share/man/man1
+@@ -47,12 +47,8 @@
+ INSTALLDOCDIR = $(PREF)/share/doc/$(TARGET)
+
+ install: $(DOCFILES) $(ADDITIONAL)
+- (umask 0022; mkdir -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR))
++ (umask 0022; mkdir -p $(INSTALLBINDIR))
+ $(INSTALL) $(TARGET) $(INSTALLBINDIR)
+- $(CP) $(DOCFILES) $(INSTALLDOCDIR)
+- gzip -9 $(INSTALLDOCDIR)/changelog
+- $(CP) $(MANUAL) $(INSTALLMANDIR)
+- chmod 644 $(INSTALLDOCDIR)/* $(INSTALLMANDIR)/*
+
+ uninstall:
+ rm -rf $(INSTALLBINDIR)/$(TARGET) $(INSTALLDOCDIR) $(INSTALLMANDIR)/$(MANUAL)
diff --git a/app-text/pdfsandwich/metadata.xml b/app-text/pdfsandwich/metadata.xml
index 0fb15c19e84..36a3f024606 100644
--- a/app-text/pdfsandwich/metadata.xml
+++ b/app-text/pdfsandwich/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>tupone@gentoo.org</email>
+ <name>Tupone Alfredo</name>
+ </maintainer>
<longdescription>
pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which
contain only images (no text) will be processed by optical character
diff --git a/app-text/pdfsandwich/pdfsandwich-0.1.7.ebuild b/app-text/pdfsandwich/pdfsandwich-0.1.7.ebuild
new file mode 100644
index 00000000000..23eef187cf7
--- /dev/null
+++ b/app-text/pdfsandwich/pdfsandwich-0.1.7.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="generator of sandwich OCR pdf files"
+HOMEPAGE="http://www.tobias-elze.de/pdfsandwich"
+SRC_URI="mirror://sourceforge/pdfsandwich/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="png"
+
+RDEPEND=">=app-text/tesseract-3.00
+ media-gfx/exact-image
+ app-text/unpaper
+ app-text/ghostscript-gpl
+ virtual/imagemagick-tools[png?]"
+DEPEND="sys-apps/gawk
+ >=dev-lang/ocaml-3.10[ocamlopt]"
+
+DOCS=( changelog )
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+QA_FLAGS_IGNORED="/usr/bin/${PN}"
+
+src_prepare() {
+ sed -i \
+ -e "/^OCAMLOPTFLAGS/s/$/ -ccopt \"\$(CFLAGS) \$(LDFLAGS)\"/" \
+ Makefile || die
+ default
+}
+
+src_install() {
+ default
+ doman ${PN}.1
+}
+
+pkg_postinst() {
+ elog "pdfsandwich relies on the tesseract library for OCR."
+ elog "Consequently language support is determined by tesseract's"
+ elog "language support which in turn is controlled via the LINGUAS"
+ elog "variable in make.conf."
+}